/*!\file:  pfopen.cpp
 * \brief fopen wrapper for parallel solution
 */ 

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include <stdio.h>
#include "../../shared/shared.h"
#include "../../include/include.h"

FILE* pfopen(char* filename,const char* format){

	FILE* fid=NULL;
	extern int my_rank;
	
	/*Open handle to data on disk: */
	fid=fopen(filename,format);
	if(fid==NULL) _error2_("could not open file " << filename << " for binary reading or writing"); 

	return fid;
}

